> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model



## OpenAPI

````yaml https://api.dev-sgp.scale.com/openapi-versions/v5/openapi.json get /v5/models/{model_id}
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/models/{model_id}:
    get:
      tags:
        - Models
      summary: Get Model
      operationId: GET-V5-/v5/models/model_id
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            title: Model Id
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    InferenceModel:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: model
          title: Object
          default: model
        name:
          type: string
          title: Name
        model_type:
          $ref: '#/components/schemas/InferenceModelType'
        model_vendor:
          $ref: '#/components/schemas/InferenceModelVendor'
        vendor_configuration:
          anyOf:
            - $ref: '#/components/schemas/LaunchVendorConfiguration'
            - $ref: '#/components/schemas/LLMEngineVendorConfiguration'
          title: Vendor Configuration
        status:
          $ref: '#/components/schemas/InferenceModelStatus'
        status_reason:
          title: Status Reason
          type: string
        model_metadata:
          title: Model Metadata
          additionalProperties: true
          type: object
        model_availability:
          $ref: '#/components/schemas/InferenceModelAvailability'
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by_user_id:
          title: Created By User Id
          type: string
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
      type: object
      required:
        - name
        - model_type
        - model_vendor
        - status
        - id
        - created_at
        - created_by_user_id
        - created_by_identity_type
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InferenceModelType:
      type: string
      enum:
        - generic
        - completion
        - chat_completion
      title: InferenceModelType
    InferenceModelVendor:
      type: string
      enum:
        - openai
        - cohere
        - vertex_ai
        - anthropic
        - azure
        - gemini
        - launch
        - llmengine
        - model_zoo
        - bedrock
        - xai
        - fireworks_ai
      title: InferenceModelVendor
    LaunchVendorConfiguration:
      properties:
        model_image:
          $ref: '#/components/schemas/LaunchModelBundleConfiguration'
        model_infra:
          $ref: '#/components/schemas/LaunchModelEndpointConfiguration'
      type: object
      required:
        - model_image
        - model_infra
      title: LaunchVendorConfiguration
    LLMEngineVendorConfiguration:
      properties:
        model:
          type: string
          title: Model
        inference_framework_image_tag:
          type: string
          title: Inference Framework Image Tag
          default: latest
        nodes_per_worker:
          type: integer
          title: Nodes Per Worker
          default: 1
        min_workers:
          type: integer
          title: Min Workers
          default: 0
        max_workers:
          type: integer
          title: Max Workers
          default: 1
        per_worker:
          type: integer
          title: Per Worker
          default: 2
        num_shards:
          type: integer
          title: Num Shards
          default: 1
        labels:
          additionalProperties:
            type: string
          type: object
          title: Labels
          default: {}
        source:
          type: string
          title: Source
          default: hugging_face
        inference_framework:
          type: string
          title: Inference Framework
          default: vllm
        endpoint_type:
          type: string
          title: Endpoint Type
          default: streaming
        quantize:
          title: Quantize
          type: string
        checkpoint_path:
          title: Checkpoint Path
          type: string
        chat_template_override:
          title: Chat Template Override
          type: string
        post_inference_hooks:
          title: Post Inference Hooks
          items:
            type: string
          type: array
        cpus:
          title: Cpus
          type: integer
        gpus:
          title: Gpus
          type: integer
        memory:
          title: Memory
          type: string
        gpu_type:
          title: Gpu Type
          type: string
        storage:
          title: Storage
          type: string
        high_priority:
          title: High Priority
          default: false
          type: boolean
        default_callback_url:
          title: Default Callback Url
          type: string
        public_inference:
          title: Public Inference
          type: boolean
      additionalProperties: true
      type: object
      required:
        - model
      title: LLMEngineVendorConfiguration
    InferenceModelStatus:
      type: string
      enum:
        - failed
        - ready
        - deploying
        - deployment_timeout
      title: InferenceModelStatus
    InferenceModelAvailability:
      type: string
      enum:
        - unknown
        - available
        - unavailable
      title: InferenceModelAvailability
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          title: Error Type
          type: string
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LaunchModelBundleConfiguration:
      properties:
        registry:
          type: string
          title: Registry
        repository:
          type: string
          title: Repository
        tag:
          type: string
          title: Tag
        predict_route:
          type: string
          title: Predict Route
          default: /predict
        command:
          items:
            type: string
          type: array
          title: Command
        streaming_predict_route:
          title: Streaming Predict Route
          type: string
        streaming_command:
          title: Streaming Command
          items:
            type: string
          type: array
        request_schema:
          additionalProperties: true
          type: object
          title: Request Schema
          default: {}
        response_schema:
          additionalProperties: true
          type: object
          title: Response Schema
          default: {}
        env_vars:
          additionalProperties: true
          type: object
          title: Env Vars
          default: {}
        readiness_delay:
          type: integer
          title: Readiness Delay
          default: 120
        healthcheck_route:
          type: string
          title: Healthcheck Route
          default: /readyz
      type: object
      required:
        - registry
        - repository
        - tag
        - command
      title: LaunchModelBundleConfiguration
    LaunchModelEndpointConfiguration:
      properties:
        endpoint_type:
          type: string
          enum:
            - async
            - sync
            - streaming
          title: Endpoint Type
          default: sync
        cpus:
          anyOf:
            - type: string
            - type: integer
          title: Cpus
          default: 3
        gpus:
          type: integer
          title: Gpus
          default: 0
        gpu_type:
          title: Gpu Type
          type: string
          enum:
            - nvidia-tesla-t4
            - nvidia-ampere-a10
            - nvidia-ampere-a100
            - nvidia-ampere-a100e
            - nvidia-hopper-h100
            - nvidia-hopper-h100-1g20gb
            - nvidia-hopper-h100-3g40gb
        memory:
          type: string
          title: Memory
          default: 8Gi
        storage:
          type: string
          title: Storage
          default: 16Gi
        min_workers:
          type: integer
          title: Min Workers
          default: 0
        max_workers:
          type: integer
          title: Max Workers
          default: 1
        per_worker:
          type: integer
          title: Per Worker
          default: 10
        high_priority:
          title: High Priority
          default: false
          type: boolean
        labels:
          title: Labels
          additionalProperties:
            type: string
          type: object
        public_inference:
          title: Public Inference
          default: false
          type: boolean
      type: object
      title: LaunchModelEndpointConfiguration
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````